package com.emr.dao.commomSearch;

import com.emr.vo.commomSearch.ScanPathVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ScanPathMapper {
    /**
     * 根据patientId集合和分类id集合查询图片地址集合
     */
    List<ScanPathVo> selectScanFileByPatientIds(@Param("patientIds") String patientIds, @Param("assortIds") String assortIds);

    List<ScanPathVo> selectScanFileByBloodPatientIds(@Param("patientIds") String patientIds,
                                                     @Param("assortIds") String assortIds, @Param("flag") String flag);


    List<ScanPathVo> selectScanFileByBloodPatientIds1(@Param("patientIds") String patientIds,
                                                     @Param("assortIds") String assortIds, @Param("flag") String flag);


    List<ScanPathVo> selectFilaname(@Param("patientIds") String patientIds);


    List<ScanPathVo> selectScanFileByBloodPatientId(@Param("patientIds") String patientIds,
                                                     @Param("assortIds") String assortIds, @Param("flag") String flag);

    /**
     * 修改图片路径
     * @param sql
     */
    void updateScanFileByPatientIdAndScanPage(@Param("sql") String sql);

    /**
     * 查询盘号数量
     * @return
     */
    Integer selectCountPh();

    /**
     * 查询图像总数
     * @return
     */
    Integer selectCountPdf();
}